package com.asset.mapper;

import com.asset.domain.User;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public interface UserMapper {

    public User getUserById(Integer id);

    public User getUserByName(String name);

    List<User> getUserList(Map param);

    public boolean insertUser(User user);

    public boolean deleteUserById(Integer id);

    public boolean updateUser(User user);

}
