package com.asset.mapper.system;

import com.asset.domain.system.Certificate;
import com.asset.domain.system.Discipline;
import com.github.pagehelper.Page;

import java.util.Map;

public interface CertificateMapper {

    public Certificate getCertificateById(Integer id);

    public Certificate getCertificateByUserId(Integer user_id);

    Page<Certificate> getCertificateList();

    public boolean insertCertificate(Certificate certificate);

    public boolean deleteCertificateById(Integer id);

    public boolean updateCertificate(Certificate certificate);
}
