package com.asset.controller;

import com.asset.common.*;
import com.asset.domain.User;
import com.asset.mapper.UserMapper;
import com.asset.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.BindingResult;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/*
 * @author xiaol
 * @date 2020/03/02
 */
@RestController
public class UserController {

    @Autowired
    UserService userService;

    @RequestMapping("/register")
    public Result register(@Validated(value={Insert.class}) @RequestBody User user, BindingResult result){
        if(userService.insertUser(user)){
            return ResultUtil.success(CodeEnum.SUCCESS);
        }else{
            return ResultUtil.success(CodeEnum.ERROR);
        }
    }


    @RequestMapping("/login")
    public Result login(@Validated(value={Login.class}) @RequestBody User user, BindingResult result){
        return ResultUtil.success(CodeEnum.SUCCESS);
    }

}
