package com.asset.service.system;

import com.asset.domain.system.Certificate;
import com.asset.mapper.system.CertificateMapper;
import com.github.pagehelper.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/*
 * @author xiaol
 * @date 2020/03/02
 */
@Service("CertificateService")
public class CertificateService implements CertificateMapper {

    @Autowired
    CertificateMapper certificateMapper;

    @Override
    public Certificate getCertificateById(Integer id) {
        return certificateMapper.getCertificateById(id);
    }

    @Override
    public Certificate getCertificateByUserId(Integer user_id) {
        return certificateMapper.getCertificateByUserId(user_id);
    }

    @Override
    public Page<Certificate> getCertificateList() {
        return certificateMapper.getCertificateList();
    }

    @Override
    public boolean insertCertificate(Certificate certificate) {
        return certificateMapper.insertCertificate(certificate);
    }

    @Override
    public boolean deleteCertificateById(Integer id) {
        return certificateMapper.deleteCertificateById(id);
    }

    @Override
    public boolean updateCertificate(Certificate certificate) {
        return certificateMapper.updateCertificate(certificate);
    }
}
